## org.opengis.parameter
Interface GeneralParameterValue

All Superinterfaces:
  Cloneable

All Known Subinterfaces:
  ParameterValue<T>, ParameterValueGroup

    @UML(identifier="CC_GeneralParameterValue",
         specification=ISO_19111)
    public interface GeneralParameterValue

extends Cloneable

Abstract parameter value or group of parameter values.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  `GeneralParameterDescriptor`

Method Summary
`Object` `clone()` Returns a copy of this parameter value or group.
`GeneralParameterDescriptor` `getDescriptor()` Returns the abstract definition of this parameter or group of parameters.

Method Detail

### getDescriptor

    GeneralParameterDescriptor getDescriptor()

  Returns the abstract definition of this parameter or group of parameters.

  Returns:
    The abstract definition of this parameter or group of parameters.

### clone

    Object clone()

  Returns a copy of this parameter value or group.

  Returns:
    A copy of this parameter value or group.
  See Also:
    `Object.clone()`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.